Excellent Support Rated 5 out of 5 stars

Disabling javascript.options.baselinejit.* in about:config to false resolved the issue I reported in a previous review. Thank you for your great support, Guillermo.

This user has 2 previous reviews of this add-on.

2.2, crash , my solution Rated 1 out of 5 stars

opensuse 13.1 x86_64 , kde 4.12 , firefox 26 , kwallet 2.2

i use the former way to use kwallet wiht my mandriva kde 4.8.4 and the old kwallet application

- i choose bluefish encrypting (the old way) for kwallet (new feature for kde 4.12 you have the choice to crypt with bluefish or a public/private key technology)

- in settings>wallet settings , in "kde wallet settings" tab
i uncheck all about "wallet closing" and all about thumbnail and systray

- in settings>wallet settings , in "access control" tab
i check "ask for an authorization when an application accesses to a wallet"

when kwallet asks for you how to authorize an application to access to the wallet
then
answer "always"
you may have one or two crashes but after no more pb

additional info :
- i have many many id,pwd
- i wonder if the new kwallet application (not the same between kde 4.8.4 and 4.12) is a bit buggy

This user has 6 previous reviews of this add-on.

A good work Rated 5 out of 5 stars

Simple and brilliant. The author also supports on http://kde-apps.org/content/show.php?content=116886 and responds to questions and comments.

2.2 Still Crashes Rated 5 out of 5 stars

I really like this add-on but I had to disable it after the FF26 upgrade. However, the 2.2 version worked once I disabled baselinejit option per Guillermo's recommendation (below).

It seems that the crashes experienced by the users are related to the new Javascript JIT Compiler Called ION Baseline. Disabling it seems to solve the problem. You can disable it by setting javascript.options.baselinejit.* in about:config to false

Crashes with Firefox 26 Rated 4 out of 5 stars

It has been working for me too, until upgraded to Firefox 26. Solution provided by tbali didn't work for me (Kubuntu 13.10 AMD64).

This review is for a previous version of the add-on (2.1). 

Rated 5 out of 5 stars

I like this addon! But after upgrade to FF 26, it crash almost every 2 minutes.
Could you try to fix it, please?

This review is for a previous version of the add-on (2.1). 

Thnaks tbali Rated 5 out of 5 stars

Thnaks tbali editingKDEWalletStorage.js and adding:
get isLoggedIn() {
return true;
}
that fixed it for me.
Back working again.

I discovered google chrome also can use kde wallet now but uses a "pickel" utf16 binary format it would be cool to hack chrome to work like this extenion and allow it to use the shared folder.
Then you could have konqueror, FF and chrome remember all your passwords in one spot.

This review is for a previous version of the add-on (2.1).  This user has a previous review of this add-on.

Rated 5 out of 5 stars

I also have crashes with firefox 26 on Ubuntu 12.10.

This review is for a previous version of the add-on (2.1). 

Rated 5 out of 5 stars

tbali, thanks for the fix! Will be good to see it in next version.

Also I want report that after upgrade Firefox from 25 to 26 (on Ubuntu 13.10 AMD64), I got segfault crashes very often (in crash report I see segfault 11 and KWallet plugin). Other users have this problem too?

How can I debug this error?

This review is for a previous version of the add-on (2.1).  This user has 15 previous reviews of this add-on.

Rated 5 out of 5 stars

I found the problem with firefox 24+. The api changed.
In the file ~/.mozilla/firefox/XXXXXXX.default/extensions/kwallet@guillermo.molina/components/KDEWalletStorage.js add the following lines:

get isLoggedIn() {
return true;
}

So it will look like this:

------------------
countLogins: function countLogins(hostname, submitURL, realm) {
this.log( "countLogins() Start" );
var count = this._lib.countLogins(hostname, submitURL, realm);
this.log( "countLogins() counted = " + count );
return count;
},
get isLoggedIn() {
return true;
}
};

const NSGetFactory = XPCOMUtils.generateNSGetFactory([KDEWalletStorage]);
------------------

Dear Guillermo Molina, please support is in the future too! Thanks for your work!

This review is for a previous version of the add-on (2.1). 

Firefox v24 Rated 4 out of 5 stars

Since firefox v24.0 this useful add-on doesn't work for me anymore. Any updates planned?

This review is for a previous version of the add-on (2.1). 

I'll see what I can do, I don't use firefox anynore. If I have some time I'll try to fix it

Rated 1 out of 5 stars

It seems the addon is dead already. It's a great pity. Switched back to firefox native pwd manager.

This review is for a previous version of the add-on (2.1).  This user has a previous review of this add-on.

Crashes Rated 2 out of 5 stars

Recently it started crashing so often that it became unusable.

This review is for a previous version of the add-on (2.1). 

Good addon Rated 4 out of 5 stars

but i can't find a way to change wallet.

This review is for a previous version of the add-on (2.1). 

Workaround for firefox sync Rated 5 out of 5 stars

As a follow up to my previous comment about firefox sync not working, I have observed that the passwords which are already present in the password manager before setting up sync, are sync'ed successfully as soon as sync is set up. However, any subsequent passwords added to the password manager don't seem to be sync'ed. Now, I am not sure whether this is a bug related to this plugin or firefox sync server (I'm running my own sync server). However, the simple fix for this is that whenever I want my passwords to be sync'ed I just select "Preferences" option, go to "Sync" tab and do a "Reset Sync ..." -> "Recommended: Merge this device's data with my Sync data" on my laptop. I then wait for a few minutes and all my passwords are sync'ed from my laptop to my sync server successfully. This then automatically gets sync'ed to my other devices where I am using Firefox.

This review is for a previous version of the add-on (2.1).  This user has a previous review of this add-on.

Not sure about if working with Sync… Rated 2 out of 5 stars

The addon installs gracefully and seems to works fine. As of the feature itself, I sadly think it should be part of the browser and not require an addon… But I'm very happy to see someone paying attention to this :)
Well, I'm using 2.1, the changelog mentions Sync integration, and that's great because I'm used to have a brunch of passwords saved/synchronized this way. But as soon as I enable the addon, my passwords list appears empty. Should I find a way to import/export my passwords from the former pw storage to the new one ?
Waiting a couple of minutes… Now Firefox complains with my sync credentials being wrong. Ok, let's enter my login + sync key to pair this device again.
Waiting a couple of minutes hoping for my passwords list to be filled again, being fetched from sync server… nothing happens, :/
Did I missed something ? Did I broke it and lost data ?
All this Sync integration should be made easier for the user to get in IMO…

This review is for a previous version of the add-on (2.1). 

Very Good Rated 5 out of 5 stars

Nice Addo that works fine with Firefox 16 (with KDE patch on Arch Linux x86_64).

PS: The homepage link in the addon don't works

This review is for a previous version of the add-on (2.0). 

Thank you very much

Amazing software!! Rated 5 out of 5 stars

I want to salute you for this great extensions, but I also need to report a bug!!
Is there an open bug tracker in your site ?
I found none, tried to use the contact form, but not sure if it's working.
On my machine, red hat workstation 6.3 x64 extensions version 2 now crashes!

** (firefox:8295): DEBUG: NP_GetMIMEDescription
** (firefox:8295): DEBUG: NP_GetMIMEDescription
** (firefox:8295): DEBUG: NP_GetMIMEDescription
*** NSPlugin Viewer *** ERROR: detected overflow of 1 bytes
for block allocated at ../src/npw-viewer.c:1352
and released at ../src/npw-viewer.c:1370
NOTE: child process received `Goodbye', closing down
NOTE: child process received `Goodbye', closing down
** (firefox:8295): DEBUG: NP_GetMIMEDescription
/usr/lib64/firefox/firefox: symbol lookup error: /home/israelm/.mozilla/firefox/z09lwsl4.default/extensions/kwallet@guillermo.molina/components/libkdewallet_x86_64.so: undefined symbol: _ZN6KDebug13hasNullOutputE9QtMsgTypebib

[1]+ Exit 127 firefox

can you check this please ?
Thanks!

This review is for a previous version of the add-on (2.0). 

Useful add-on, must have for KDE users Rated 5 out of 5 stars

Very good add-on, it has just two minor issues.
The wallet is not reopened (if closed) and Firefox and Thunderbird password windows appear with the same message.

I managed to fix both problems in my forked repository:
https://github.com/maciex/mozilla-kwallet

Guillermo please merge the changes and/or contact me (Support site link for the add-on is not working).
Thanks !

This review is for a previous version of the add-on (1.14). 

Which distro are you using? in ubuntu libxul is no longer available.
Cheers

Verry helpfull Addon (mandatory for KDE users) Rated 5 out of 5 stars

One of the main needed Firefox Add-Ons if someone uses KDE!
Many thanks to Guillermo for this nice and helpful tool and I would spend some money to him - but I never create a PayPal account while discontinuing the license agreements.

This review is for a previous version of the add-on (1.13).  This user has a previous review of this add-on.